Inicio / Alerta Temprana / Avisos Sci / Desbordamientos de búfer en productos Rockwell Automation

Desbordamientos de búfer en productos Rockwell Automation

Fecha de publicación: 
28/09/2022
Identificador: 
INCIBE-2022-0940
Importancia: 
4 - Alta
Recursos afectados: 

ThinManager ThinServer, versiones:

  • 11.0.0, hasta la 11.0.4;
  • 11.1.0, hasta la 11.1.4;
  • 11.2.0, hasta la 11.2.5;
  • 12.0.0, hasta la 12.0.2;
  • 12.1.0, hasta la 12.1.3;
  • 13.0.0.
Descripción: 

rgod, trabajando con Trend Micro Zero Day Initiative, ha reportado esta vulnerabilidad a Rockwell Automation y al CISA, que podría permitir a un atacante el cierre inesperado del sistema o la ejecución remota de código.

Solución: 

Actualizar a las versiones:

Detalle: 

Un desbordamiento de búfer basado en memoria dinámica (heap) podría permitir a un atacante bloquear el proceso de ThinServer o la ejecución remota de código arbitrario mediante el envío de una solicitud TFTP o HTTPS específicamente diseñada. Se ha asignado el identificador CVE-2022-38742 para esta vulnerabilidad.

Encuesta valoración